using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using AjaxControlToolkit;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        System.Threading.Thread.Sleep(1000);
    }

    protected void btnDelete_Click(object sender, EventArgs e)
    {        
		//---pobranie wiersza kontrolki gridview pozwala na odczytanie klucza danych---
        Button btnDelete = sender as Button;
        GridViewRow row = (GridViewRow)btnDelete.NamingContainer;
        GridView1.DeleteRow(row.RowIndex);
    }
}
